## wolfssl 3.4.8%2Bdfsg

=== debian/control ===
Source: wolfssl
Priority: optional
Maintainer: Felix Lechner <felix.lechner@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-exec (>= 0.3),
 dh-autoreconf,
 autotools-dev,
 libpcap0.8-dev,
 openssl
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html

Package: libcyassl5
Depends: libwolfssl0, ${misc:Depends}
Architecture: any
Multi-Arch: same
Priority: extra
Section: oldlibs
Description: transitional dummy package with compatibility links
 This is a transitional dummy package. It can safely be removed.
 .
 This package provides compatibility links between libcyassl and
 libwolfssl.

Package: libwolfssl0
Architecture: any
Multi-Arch: same
Replaces: libcyassl5 (<< 3.4.2-1~)
Breaks: libcyassl5 (<< 3.4.2-1~)
Provides: libcyassl5
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library
 targeted for use by embedded systems developers. It was formerly
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.

Package: libwolfssl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libwolfssl0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library 
 targeted for use by embedded systems developers. It was formerly 
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the development files.

Package: libwolfssl0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libwolfssl0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the WolfSSL encryption library
 WolfSSL is a small, portable, embedded SSL programming library 
 targeted for use by embedded systems developers. It was formerly 
 known as the CyaSSL (Yet Another SLL) library.
 .
 It is an open source implementation of SSL (SSL 3, TLS 1.0, 1.1,
 1.2, and DTLS 1.0 and 1.2) built in the C language. It includes SSL
 client libraries and an SSL server implementation as well as support
 for multiple API's, including those defined by SSL and TLS.
 .
 WolfSSL also includes an OpenSSL compatibility interface with the
 most commonly used OpenSSL functions.
 .
 This package contains the debugging symbols.
