## wolfssl 3.4.8+dfsg

=== debian/changelog ===
wolfssl (3.4.8+dfsg-1) unstable; urgency=medium

  * Name of package changed from 'cyassl' to 'wolfssl'
  * New upstream release
  * Disabled automatic downgrade to SSLv3 in release 3.2.0 (Closes: #769905)
  * Fixed CVE-2014-2901, CVE-2014-2902, CVE-2014-2903 and CVE-2014-2904
      in release 3.2.0 (Closes: #770229)
  * Fixed TEMP-0000000-2D36D7 in release 3.2.0
  * Added build option '--enable-chacha'
  * Added build option '--enable-poly1305'
  * Added build option '--enable-hashdrbg'
  * Added build option '--use-fastmath'
  * Added build option '--enable-ecc25519'
  * Added build flag TFM_TIMING_RESISTANT
  * Added build flag TFM_NO_ASM
  * Added Build-Depends: libpcap0.8-dev for sniffer testing
  * Removed obsolete build option '--enable-gcc-hardening'
  * Removed LT_LIB_M in configure.ac to avoid linking uselessly with libm
  * Enabled tests
  * Added Exclude-Files: in 'copyright' for automatic repackaging
  * Added repacksuffix=+dfsg in 'watch'
  * Updated to Standards-Version: 3.9.6
  * Added dummy package for 'libcyassl5'
  * Replaces: libcyassl5 (<< 3.4.2-1~)
  * Breaks: libcyassl5 (<< 3.4.2-1~)
  * Provides: libcyassl5
  * Created compatibility symlinks for libcyassl.so.5.0.0

 -- Felix Lechner <felix.lechner@gmail.com>  Sun, 26 Apr 2015 08:23:52 -0700

cyassl (2.9.4+dfsg-3) unstable; urgency=medium

  * Removed build option '--use-fastmath'
  * Turned off fastmath for amd64, where it is default
  * Fixed typedef for socklen_t on hurd-i386
  * Marked debug and development packages as Multi-Arch:same

 -- Felix Lechner <felix.lechner@gmail.com>  Wed, 01 Oct 2014 10:34:34 -0700

cyassl (2.9.4+dfsg-2) unstable; urgency=medium

  * Disabled build option '--enable-aesni' (Closes: #760320, #760321)
  * Disabled build option '--enable-crl-monitor' (Closes: #760322)
  * Fixed symbol file to reflect '+' added to previous package version
  * Switched to standard build flags for correct symbol generation and
    hardening.
  * Disabled tests that failed (due to expired certificates).

 -- Felix Lechner <felix.lechner@gmail.com>  Tue, 30 Sep 2014 10:57:53 -0700

cyassl (2.9.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #598391)

 -- Felix Lechner <felix.lechner@gmail.com>  Wed, 09 Apr 2014 17:43:28 -0700
