=== debian/watch ===
version=3

opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wolfssl-$1\.tar\.gz/,\
repacksuffix=+dfsg \
  https://github.com/wolfssl/wolfssl/tags .*/v?(\d\S*)\.tar\.gz
