## wolfssl 3.9.10+dfsg

=== debian/changelog ===
wolfssl (3.9.10+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #793134)
  * Fixed CVE-2015-6925 (Closes: #801120)
  * No longer installing arch-dependent options.h (Closes: #792626)
  * New major number is 3
  * Using '--enable-distro' to define ABI
  * Removed all ABI-related build options selecting features
  * Upgraded Build-Depends: debhelper >=10; bumped compat to 10
  * Removed Build-Depends: dh-exec
  * Switched to automatic generation of debug package (dbgsym)
  * Changed package descriptions and capitalized wolfSSL correctly
  * Deleted compatibility links for libcyassl5
  * Removed control file references to libcyassl5
  * Disabled examples and tests for building without network
  * Removed duplicate license names from debian/copyright
  * Updated watch file for upstream's new version tagging scheme on GitHub
  * Added public key signature verification in watch file
  * Updated Standard-Version: 3.9.8

 -- Felix Lechner <felix.lechner@gmail.com>  Fri, 02 Dec 2016 20:51:20 -0800
