=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)

%:
	dh $@ --with autotools-dev
#	dh $@ --with autotools-dev --with autoreconf --with dkms

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--disable-examples \
		--disable-silent-rules

override_dh_strip:
	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'

#override_dh_dkms:
#	dh_dkms -V $(VERSION)
