## wolfssl 3.10.2+dfsg

=== debian/changelog ===
wolfssl (3.10.2+dfsg-2) unstable; urgency=medium

  * Updated debian/copyright (Closes: #860046)
  * Disabled CRL monitor for all architectures (Closes: #860514)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 22 Apr 2017 17:48:29 -0700

wolfssl (3.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * New major version is 10
  * New maintainer email address
  * Fixes a low level vulnerability for buffer overflow when loading a
    malformed temporary DH file
  * Fixes a medium level vulnerability for processing of OCSP response
  * Fixes CVE-2017-6076, a low level vulnerability for a potential
    cache attack on RSA operations (Closes: #856114)
  * Enabled SHA-224 for all architectures, as advised by upstream

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 08 Apr 2017 14:09:21 -0700
