=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@gmail.com>
+Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper (>= 10),
  autotools-dev,
@@ -11,7 +11,7 @@
 Section: libs
 Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
 
-Package: libwolfssl3
+Package: libwolfssl10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl3 (= ${binary:Version}),
+ libwolfssl10 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
