=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-sha224 \
 		--enable-distro \
 		--disable-examples \
 		--disable-silent-rules
