## wolfssl 3.13.0%2Bdfsg

=== debian/changelog ===
wolfssl (3.13.0+dfsg-1+0~20250808101732.29+trixie~1.gbp8be8da) unstable; urgency=medium

  ** SNAPSHOT build @8be8dabd06c9eef57a1e3f46056ab00174c766f7 **

  [ Mario Fetka ]
  * Bump
  * correct deps andd suppoert for tls 1.3
  * correct deps andd suppoert for tls 1.3
  * correct deps
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7
  * correct compile flags for debain 7

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Fri, 08 Aug 2025 12:17:33 +0200

wolfssl (3.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes "robot attack" CVE-2017-13099 (Closes: #884235)
  * New major number 15
  * Set Standards-Version: 4.1.2
  * Improved clean target for repeated builds

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Dec 2017 15:43:45 -0800

wolfssl (3.12.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * New major number 14
  * Updated symbols file
  * Updated watch file
  * Replaced upstream signing key with 0xEBC80E415CA29677
  * Updated Standard-Versions: to 4.1.1

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 25 Nov 2017 21:30:15 -0800

wolfssl (3.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Shared object version is now 12
  * CVE-2017-2800 was fixed in 3.11.0 (Closes: #862154)
  * CVE-2017-8855 was fixed in 3.11.0 (Closes: #870170)
  * Removed "--with-sha224" from rules; now included in "--enable-distro"
  * Cannot override lintian for missing upstream signature; source was
    repackaged (DFSG)
  * Removed unnecessary Build-Depends: dh-autoreconf
  * Removed unnecessary Build-Depends: autotools-dev
  * Updated to Standards-Version: 4.0.0

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 13 Aug 2017 21:00:54 -0700
