=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 10),
  autotools-dev,
  dh-autoreconf,
+ quilt,
+ debhelper (>= 9),
  libpcap0.8-dev,
  openssl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
 
-Package: libwolfssl10
+Package: libwolfssl15
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl10 (= ${binary:Version}),
+ libwolfssl15 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
