=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)
# following is to avoid a lintian warning, but untested
#VERSION=$(shell echo $DEB_VERSION |cut -d ' ' -f 2)

%:
	dh $@ --with autoreconf,autotools_dev
#	dh $@ --with dkms

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--disable-examples \
		--disable-silent-rules \
		--disable-debug

override_dh_strip:
	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'

#override_dh_dkms:
#	dh_dkms -V $(VERSION)
