=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- autotools-dev,
- dh-autoreconf,
- quilt,
- debhelper (>= 9),
+ debhelper (>= 10),
  libpcap0.8-dev,
  openssl
 Standards-Version: 4.1.2
