=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.+\/v?(\d\S+)-stable\.tar\.gz/wolfssl-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/wolfssl-$1\.tar\.gz\.asc/,\
repacksuffix=+dfsg \
  https://github.com/wolfSSL/wolfssl/releases .*/v(\d\S+)-stable\.tar\.gz
