## wolfssl 3.15.3+dfsg

=== debian/changelog ===
wolfssl (3.15.3+dfsg-2) unstable; urgency=medium

  * Ship wolfssl/control.h (Closes: #904711)
  * Enabled TLS 1.3 (Closes: #904710)

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 03 Aug 2018 20:32:42 -0700

wolfssl (3.15.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes "return of the hidden number problem" CVE-2018-12436 (Closes: #901627)
  * Major number is now 18
  * Updated shared object symbols
  * Debug symbol migration complete; code deleted
  * Shipping examples for C library
  * Removed doxygen-generated files from source tarball
  * Removed non-existing 'm4/wolfssl_darwin_clang.m4' from copyright
  * Updated upstream home page in control
  * Switched to secure URI for copyright format
  * Fixed spelling in patch header
  * Set Standards-Version: 4.1.5
  * Set compat to 11
  * Set Build-Depends: debhelper (>= 11)

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 12 Jul 2018 15:29:02 -0700
