=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://www.wolfssl.com/yaSSL/Products-wolfssl.html
+Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl15
+Package: libwolfssl18
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -35,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl15 (= ${binary:Version}),
+ libwolfssl18 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
