=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl18
+Package: libwolfssl19
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -22,7 +22,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.
@@ -35,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl18 (= ${binary:Version}),
+ libwolfssl19 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -43,7 +43,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.
