=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
  debhelper-compat (= 12),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl19
+Package: libwolfssl24
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libwolfssl19 (= ${binary:Version}),
+ libwolfssl24 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
