=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,18 @@
 #VERSION=$(shell echo $DEB_VERSION |cut -d ' ' -f 2)
 
 %:
-	dh $@ --with autoreconf,autotools_dev
+	dh $@
 #	dh $@ --with dkms
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-distro \
+		--enable-tls13 \
 		--disable-examples \
-		--disable-silent-rules \
-		--disable-debug
+		--disable-silent-rules
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libwolfssl3-dbg (<< 3.9.10-1~)'
+override_dh_installexamples:
+	dh_installexamples --exclude .vcproj --exclude .vcxproj --exclude .sln
 
 #override_dh_dkms:
 #	dh_dkms -V $(VERSION)
