=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-distro \
+		--enable-pkcs11 \
 		--enable-tls13 \
 		--disable-examples \
 		--disable-silent-rules
